var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import classNames from 'classnames';
import RcCollapse from 'rc-collapse';
import Icon from "../icon";
import animation from "../_utils/openAnimation";
var prefixCls = 'dmc-collapse';
export var defaultArrowIcon = function defaultArrowIcon(_a) {
  var _b;

  var isActive = _a.isActive,
      disabled = _a.disabled;
  var arrowCls = classNames(prefixCls + "-panel-arrow", (_b = {}, _b[prefixCls + "-panel-arrow-active"] = isActive, _b[prefixCls + "-panel-arrow-disabled"] = disabled, _b));
  return _jsx(Icon, {
    className: arrowCls,
    icon: "arrow-down",
    size: 20
  }, void 0);
};

var Collapse = function Collapse(props) {
  var _a;

  var _b = props,
      arrowIcon = _b.arrowIcon,
      className = _b.className,
      arrowPosition = _b.arrowPosition,
      restProps = __rest(_b, ["arrowIcon", "className", "arrowPosition"]);

  var itemArrow = arrowIcon || defaultArrowIcon;
  var cls = classNames(className, (_a = {}, _a[prefixCls + "-arrow-position-right"] = arrowPosition === 'right', _a));
  return _jsx(RcCollapse, __assign({}, restProps, {
    className: cls,
    expandIcon: itemArrow,
    prefixCls: prefixCls
  }), void 0);
};

var defaultProps = {
  accordion: false,
  destroyInactivePanel: false,
  openAnimation: animation
};
Collapse.defaultProps = defaultProps;
var CollapseMemo = /*#__PURE__*/React.memo(Collapse);
CollapseMemo.displayName = 'CollapseMemo';
Collapse.displayName = 'Collapse';
export { CollapseMemo };
export default Collapse;

